#include<iostream>
#include<fstream>
using namespace std;
int main()
{
	ifstream f1("demduong.inp");
	int n;
	f1>>n;
	long int a[n];
	int x=0;
	long int y=0;
	for(int i=0;i<n;i++)
	{
		f1>>a[i];
		if(a[i]>0)
		{
			x++;
			y+=a[i];
		}
	}
	f1.close();
	ofstream f2("demduong.out");
	f2<<x<<' '<<y;
	f2.close();
	return 0;
}

